Dusting off the cobwebs...

It's been a while since we've posted a new blog entry. Yesterday I went about upgrading this blog to the latest version of Ghost and well, everything exploded.

  • The version of Ghost that was installed previously was so old that automatic upgrading wasn't a possibility
  • Ghost refuses to run on Node.js 4.x, and some of its dependencies wouldn't install at all

So, after some manual intervention, sqlite3 database diving, and monkey patching Ghost to work with Node.js 4.x, I'm happy to say that we're running Ghost v0.7.1 with the NodeBB blog comments plugin installed.

From now on we'll try to keep this blog relatively up to date (our last release blog post was 0.5.0 - thirteen months ago!) Since then I think I've changed the design of the ACP at least three times and @baris has probably refactored the core fifty times over.

Andrew Rodrigues

Read more posts by this author.